---
name: Peer Review
about: Use to submit a peer review
title: ''
labels: review
assignees: ''
---

## Peer Review for Reproducibility Checks

### Review Checklist

Please review the following aspects related to reproducibility checks:

- [ ] **Environment Setup**:
  - [ ] Were detailed instructions provided for setting up the development environment?
  - [ ] Are all necessary dependencies and libraries clearly documented?
- [ ] **Data Preparation**:
  - [ ] Are source data files and preprocessing steps clearly documented?
  - [ ] Are scripts or commands for data transformation included and well-documented?
- [ ] **Code Execution**:
  - [ ] Were clear instructions provided for running the code?
  - [ ] Does the code execute without errors and produce expected outputs?
- [ ] **Configuration Management**:
  - [ ] Is version control information (e.g., Git commit hash) included for reproducibility?
  - [ ] Are any configuration files or parameters used properly documented?
- [ ] **Results Verification**:
  - [ ] Are output results (e.g., metrics, visualizations) included and matched with expected outcomes?
  - [ ] Have any discrepancies between expected and actual results been identified and explained?
- [ ] **Documentation**:
  - [ ] Is there a detailed README or documentation explaining the experiment setup and execution process?
  - [ ] Are code comments and documentation clear and informative?
- [ ] **External Dependencies**:
  - [ ] Are any external data sources or APIs used accessible and well-documented?
  - [ ] Are external libraries or packages properly cited and versioned for reproducibility?
- [ ] **Validation**:
  - [ ] Can an independent reviewer replicate the experiment using the provided instructions?
  - [ ] Are the results consistent across different environments or platforms?

### Additional Comments

Include any additional comments, concerns, or suggestions related to reproducibility.
